module Upman
  module Core
    class Register
      include ::Upman::Utils::Helper

      def perform
        node_service = Upman::Service::Node.new
        data = node_service.generate_node_data
        info "Register Daemon running on #{data[:hostname]} with foreman_upman"

        api = ::Upman::Utils::Api.new
        api.post("upman/node/register", data.to_json)
      end

    end
  end
end