module Upman
  module Worker
    class ReportInstalledPackages < BaseWorker

      def register
        return self
      end

      def run!
        while true
          installed_package_service = ::Upman::Service::InstalledPackages.new
          data = installed_package_service.get("1")
          info "Report installed packages to API"


          node_service = Upman::Service::Node.new
          node_uuid = node_service.get_node_uuuid

          #api = ::Upman::Utils::Api.new
          #api.post("upman/node/installed_packages?uuid=#{node_uuid}","{\"data\": #{data.to_json}}")

          sleep(::Upman::Core::Config.daemon[:interval])
        end
      end

    end
  end
end